using System.IO;
using UnrealBuildTool;

public class OLSAnimationEditor : ModuleRules
{
    public OLSAnimationEditor(ReadOnlyTargetRules Target) : base(Target)
    {
        PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;

        PublicDependencyModuleNames.AddRange(new[]
        {
            "Core", "CoreUObject", "Engine", "UnrealEd", "AnimGraph",
            "BlueprintGraph", "SlateCore", "ToolMenus", "Slate", "AnimationBlueprintEditor", "OLSAnimation"
        });

        
        PrivateDependencyModuleNames.AddRange(new string[] { "MessageLog" });
        
        PublicIncludePaths.Add(Path.Combine(ModuleDirectory, "Public/Nodes"));
    }
}